import React from 'react';
import type { TabsStructureProps, TabListContainerProps, TabItemProps, RailProps, SelectionIndicatorProps, ScrollShadowProps, ChevronControlsProps, ChevronButtonProps } from './types';
declare global {
    interface WeakRef<T extends object> {
        deref(): T | undefined;
    }
    interface WeakRefConstructor {
        new <T extends object>(target: T): WeakRef<T>;
    }
    const WeakRef: WeakRefConstructor | undefined;
}
declare const TabListContainer: React.ForwardRefExoticComponent<Omit<TabListContainerProps, "ref"> & React.RefAttributes<HTMLUListElement>>;
declare const TabItem: React.ForwardRefExoticComponent<Omit<TabItemProps, "ref"> & React.RefAttributes<HTMLButtonElement>>;
declare const Rail: React.ForwardRefExoticComponent<Omit<RailProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
declare const SelectionIndicator: React.ForwardRefExoticComponent<Omit<SelectionIndicatorProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
declare const ScrollShadow: React.ForwardRefExoticComponent<Omit<ScrollShadowProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
declare const ChevronButton: React.ForwardRefExoticComponent<Omit<ChevronButtonProps, "ref"> & React.RefAttributes<HTMLButtonElement>>;
declare const ChevronControls: React.FC<ChevronControlsProps>;
declare type TabsStructureComponent = React.FC<TabsStructureProps> & {
    Rail: typeof Rail;
    ListContainer: typeof TabListContainer;
    Item: typeof TabItem;
    SelectionIndicator: typeof SelectionIndicator;
    ScrollShadow: typeof ScrollShadow;
    ChevronControls: typeof ChevronControls;
    ChevronButton: typeof ChevronButton;
};
declare const TabsStructureWithSubComponents: TabsStructureComponent;
export default TabsStructureWithSubComponents;
export { TabListContainer, TabItem, Rail, SelectionIndicator, ScrollShadow, ChevronControls, ChevronButton, };
